CRAN Package Check Results for Package EpiSignalDetection

Last updated on 2020-01-27 00:48:02 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1.1 3.93 41.20 45.13 OK
r-devel-linux-x86_64-debian-gcc 0.1.1 0.48 2.03 2.51 ERROR
r-devel-linux-x86_64-fedora-clang 0.1.1 59.13 NOTE
r-devel-linux-x86_64-fedora-gcc 0.1.1 55.97 NOTE
r-devel-windows-ix86+x86_64 0.1.1 18.00 78.00 96.00 OK
r-devel-windows-ix86+x86_64-gcc8 0.1.1 13.00 83.00 96.00 OK
r-patched-linux-x86_64 0.1.1 4.28 38.02 42.30 OK
r-patched-solaris-x86 0.1.1 73.60 ERROR
r-release-linux-x86_64 0.1.1 3.78 38.02 41.80 OK
r-release-windows-ix86+x86_64 0.1.1 8.00 54.00 62.00 OK
r-release-osx-x86_64 0.1.1 ERROR
r-oldrel-windows-ix86+x86_64 0.1.1 5.00 47.00 52.00 OK
r-oldrel-osx-x86_64 0.1.1 ERROR

Check Details

Version: 0.1.1
Check: package dependencies
Result: ERROR
    Package required but not available: ‘surveillance’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-devel-linux-x86_64-debian-gcc

Version: 0.1.1
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘DT’ ‘ggplot2’ ‘knitr’ ‘pander’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 0.1.1
Check: examples
Result: ERROR
    Running examples in ‘EpiSignalDetection-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: runEpiSDReport
    > ### Title: Run the EpiSignalDetection report (HTML markdown)
    > ### Aliases: runEpiSDReport
    >
    > ### ** Examples
    >
    > #---> OR
    >
    > #-- First setting the parameters to run the report for
    > input <- list(
    + disease = "Salmonellosis",
    + country = "Portugal",
    + indicator = "Reported cases",
    + stratification = "Confirmed cases",
    + unit = "Month",
    + daterange = c("2011-01-01", "2016-12-31"),
    + algo = "FarringtonFlexible",
    + testingperiod = 6
    + )
    >
    > #-- Second running the report based on the EpiSignalDetection::SignalData dataset
    > #-- and store it in a temporary folder
    > runEpiSDReport(input = input)
    Error: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64